<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class Refukuran extends CI_Controller
{
    function __construct()
    {
        parent::__construct();
        $this->load->model('Mukuran');
        $this->load->library('form_validation');
    }

    public function index()
    {
        $refukuran = $this->Mukuran->get_all();

        $data = array(
            'refukuran_data' => $refukuran
        );

        $this->template->load('blank','refukuran/Refukuran_list', $data);
    }

    

    public function create() 
    {
        $data = array(
            'button' => 'Form Tambah',
            'action' => site_url('refukuran/create_action'),
	    'id_inc' => set_value('id_inc'),
	    'min' => set_value('min'),
	    'max' => set_value('max'),
	);
        $this->template->load('blank','refukuran/Refukuran_form', $data);
    }
    
    public function create_action() 
    {
        $this->_rules();

        if ($this->form_validation->run() == FALSE) {
            $this->create();
        } else {
            $data = array(
		'min' => $this->input->post('min',TRUE),
		'max' => $this->input->post('max',TRUE),
	    );

           $this->Mukuran->insert($data);
            
            redirect(site_url('refukuran'));
        }
    }
    
    public function update($id) 
    {
        $row = $this->Mukuran->get_by_id($id);

        if ($row) {
            $data = array(
                'button' => 'Form Edit',
                'action' => site_url('refukuran/update_action'),
		'id_inc' => set_value('id_inc', $row->id_inc),
		'min' => set_value('min', $row->min),
		'max' => set_value('max', $row->max),
	    );
            $this->template->load('blank','refukuran/Refukuran_form', $data);
        } else {
            $this->session->set_flashdata('message', 'Record Not Found');
            redirect(site_url('refukuran'));
        }
    }
    
    public function update_action() 
    {
        $this->_rules();

        if ($this->form_validation->run() == FALSE) {
            $this->update($this->input->post('id_inc', TRUE));
        } else {
            $data = array(
		'min' => $this->input->post('min',TRUE),
		'max' => $this->input->post('max',TRUE),
	    );

            $this->Mukuran->update($this->input->post('id_inc', TRUE), $data);
            
            redirect(site_url('refukuran'));
        }
    }
    
    public function delete($id) 
    {
        $row = $this->Mukuran->get_by_id($id);

        if ($row) {
            $this->Mukuran->delete($id);
            
            
            redirect(site_url('refukuran'));
        } else {
            $this->session->set_flashdata('message', 'Record Not Found');
            redirect(site_url('refukuran'));
        }
    }

    public function _rules() 
    {
	$this->form_validation->set_rules('min', 'min', 'trim|required');
	$this->form_validation->set_rules('max', 'max', 'trim|required');

	$this->form_validation->set_rules('id_inc', 'id_inc', 'trim');
	$this->form_validation->set_error_delimiters('<span class="text-danger">', '</span>');
    }

}

/* End of file Refukuran.php */
/* Location: ./application/controllers/Refukuran.php */
/* Please DO NOT modify this information : */
/* Generated by Harviacode Codeigniter CRUD Generator 2017-12-02 14:28:03 */
/* http://harviacode.com */